Vulnerability Name:

CVE-2018-9257

Assigned:2018-04-04
Published:2018-04-03
Updated:2018-04-17
Summary:In Wireshark 2.4.0 to 2.4.5, the CQL dissector could go into an infinite loop. This was addressed in epan/dissectors/packet-cql.c by checking for a nonzero number of columns.
CVSS v3 Severity:7.5 High (CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
6.5 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
5.5 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)
4.8 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
4.6 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:N/I:N/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Complete
Vulnerability Type:CWE-399
References:Source: MISC
Type: UNKNOWN
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14530

Source: MISC
Type: PATCH
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=d7a9501b0439a5dbf24016a95b4896170d789dc2

Source: XF
Type: UNKNOWN
wireshark-cve20189257-dos(141233)

Source: MISC
Type: VENDOR_ADVISORY
https://www.wireshark.org/security/wnpa-sec-2018-22.html

Vulnerable Configuration:Configuration 1:
  • cpe:/a:wireshark:wireshark:2.4.0:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.4.1:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.4.2:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.4.3:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.4.4:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/a:wireshark:wireshark:2.2.0:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.4.0:*:*:*:*:*:*:*
  • OR cpe:/a:wireshark:wireshark:2.2.13:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.artful:def:20189257000
    V
    CVE-2018-9257 on Ubuntu 17.10 (artful) - untriaged.
    2018-04-04
    oval:com.ubuntu.trusty:def:20189257000
    V
    CVE-2018-9257 on Ubuntu 14.04 LTS (trusty) - untriaged.
    2018-04-04
    oval:com.ubuntu.xenial:def:20189257000
    V
    CVE-2018-9257 on Ubuntu 16.04 LTS (xenial) - untriaged.
    2018-04-04
    BACK
    wireshark wireshark 2.4.0
    wireshark wireshark 2.4.1
    wireshark wireshark 2.4.2
    wireshark wireshark 2.4.3
    wireshark wireshark 2.4.4
    wireshark wireshark 2.2.0
    wireshark wireshark 2.4.0
    wireshark wireshark 2.2.13